import Vue from 'vue';
import App from './App.vue';
import Element from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css'
import './assets/style/global.css';
Vue.config.productionTip = false
import router from "./router";
import store from "./store";
import VueCookies from 'vue-cookies';
import Echarts from 'echarts';
import VCharts from 'v-charts';
import VueAMap from 'vue-amap';
window.addEventListener('pywebviewready', function () {
  Vue.prototype.isStatus = true;
  alert('读写器已就绪')
},true)
Vue.prototype.removeEvent = function () {
  window.removeEventListener("pywebviewready", function () {
    Vue.prototype.isStatus = false;
    alert('读写器已解除')
  });
}
Vue.prototype.echarts = Echarts
Vue.prototype.ossPath = "http://oss.zhongyihz.cn/"
Vue.prototype.MapKey = "cf8df3568bedd799c309027ff2b9d222"
Vue.use(Element);
Vue.use(VueCookies);
Vue.use(VCharts)
Vue.use(Echarts)
Vue.use(VueAMap);
new Vue({
  store,
  router,
  render: h => h(App),
}).$mount('#app')
